<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Transkrip</title>
    <style type="text/css">
        .background-color-white{
            background-color: white;
            box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2), 0 3px 10px 0 rgba(0, 0, 0, 0.19);
            border-radius: 10px;
        }
        .shape{
            background-color: #4285f4;
            color: white;
            padding-top: 15px;
            padding-left: 15px;
            padding-bottom: 10px;
            border-top-left-radius: 10px;
            border-top-right-radius: 10px;
        }
        .bd-warning{
            background-color: white;
            border: 2px solid #f0ad4e;
            border-radius: 15px;
            color: #f0ad4e;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-warning:hover{
            background-color: #f0ad4e;
            color: white;
        }

        .bd-primary{
            background-color: white;
            border: 2px solid #0275d8;
            border-radius: 15px;
            color: #0275d8;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-primary:hover{
            background-color: #0275d8;
            color: white;
        }

        .bd-danger{
            background-color: white;
            border: 2px solid #d9534f;
            border-radius: 15px;
            color: #d9534f;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-danger:hover{
            background-color: #d9534f;
            color: white;
        }
        .bd-success{
            background-color: white;
            border: 2px solid #5cb85c;
            border-radius: 15px;
            color: #5cb85c;
            padding: 7px;
            font-size: 12px;
            transition: 1s;
            width: 50px;
        }

        .bd-success:hover{
            background-color: #5cb85c;
            color: white;
        }

    </style>
</head>
<body>
<th:block layout:fragment="script">
<script th:inline="javascript">




</script>
</th:block>
<section layout:fragment="main" class="content">
    <div class="breadcomb-area">
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-xs-12">
                    <div class="breadcomb-list">
                        <div class="row">
                            <div class="col-lg-6 col-md-6 col-xs-12">
                                <div class="breadcomb-wp">
                                    <div class="breadcomb-icon">
                                        <i class="notika-icon notika-form"></i>
                                    </div>
                                    <div class="breadcomb-ctn">
                                        <h2>Transkrip List</h2><br>
                                        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal" th:if="${tahun != null && total < 2}">
                                            <i class="fas fa-plus"></i>
                                            Akselerasi
                                        </button>
                                        <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#modalDelete" th:if="${tahun != null && total > 0}">
                                            <i class="fas fa-plus"></i>
                                            Hapus Request SP
                                        </button>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="col-md-12 col-xs-12 background-color-white">

            <div class="modal fade" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <form method="post" th:action="@{/report/akselerasi}">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel">Modal title</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label><center>Matakuliah</center></label>
                                                <select name="idMatkul" class="form-control" id="select-matkul" onchange="matkul(this)" required>
                                                    <option value="kosong"></option>
                                                    <option th:each="data : ${matakuliah}"
                                                            th:if="${data[11] == null && data[6] == null}"
                                                            th:text="${data[4]}"
                                                            th:value="${data[0]}">STEI Tazkia</option>
                                                    <option th:each="data : ${matakuliah}"
                                                            th:if="${data[11] == null && data[6] != null && data[7] != null}"
                                                            th:text="${data[4]}"
                                                            th:value="${data[0]}">STEI Tazkia</option>
                                                </select>
                                                <input type="hidden" id="jumlah" name="jumlah" th:value="${total}">
                                            </div>
                                        </div>
                                    </div>

                                    <div id="row2" class="row" style="display: none">
                                        <div class="col-md-12">
                                            <div class="form-group">
                                                <label><center>Matakuliah 2</center></label>
                                                <select name="idMatkul2" class="form-control" id="select-matkul2" onchange="matkul2(this)" required>
                                                    <option value="kosong"></option>
                                                    <option th:each="data : ${matakuliah}"
                                                            th:if="${data[11] == null && data[6] == null}"
                                                            th:text="${data[4]}"
                                                            th:value="${data[0]}">STEI Tazkia</option>
                                                    <option th:each="data : ${matakuliah}"
                                                            th:if="${data[11] == null && data[6] != null && data[7] != null}"
                                                            th:text="${data[4]}"
                                                            th:value="${data[0]}">STEI Tazkia</option>
                                                </select>
                                            </div>
                                        </div>
                                    </div>
                            </div>
                            <div id="saveButton" class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="submit"  class="btn btn-primary">Save changes</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <div class="modal fade" id="modalDelete" role="dialog" aria-labelledby="exampleModalLabel2" aria-hidden="true">
                <div class="modal-dialog " role="document">
                    <div class="modal-content">
                        <form method="post" th:action="@{/report/sp/delete}">
                            <div class="modal-header">
                                <h5 class="modal-title" id="exampleModalLabel2">Delete matakuliah</h5>
                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                            <div class="modal-body">
                                    <div class="basic-tb-hd">
                                        <h2>Daftar Request SP</h2>
                                    </div>
                                    <div class="bsc-tbl-st">
                                        <table class="table table-striped">
                                            <tr>
                                                <th>No</th>
                                                <th>Matakuliah</th>
                                                <th>Jumlah Sks</th>
                                                <th>Stataus</th>
                                            </tr>
                                            <tr th:each="data, row : ${hapusSp}">
                                                <td th:text="${(row.index + 1)}"></td>
                                                <td th:text="${data.matakuliahKurikulum.matakuliah.namaMatakuliah}"></td>
                                                <td th:text="${data.matakuliahKurikulum.jumlahSks}">3</td>
                                                <td>
                                                    <a  class="btn btn-primary btn-sm"
                                                        th:if="${data.statusApprove.WAITING} == ${data.statusApprove}"
                                                        th:text="${data.statusApprove}">
                                                    </a>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                <p> <b> Note :</b> Ketika menghapus reqeust ini, maka tagihan pun akan terhapus, silahkan request ulang matakuliah</p>

                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                <button type="submit"  class="btn btn-danger">Delete</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>

            <form method="get" th:action="@{/study/prakrssp}">
                <input type="hidden" id="totalMatkul" name="total" th:value="${total}">
                <div class="card-body" th:each="dataSemester,row : ${semesterTranskript}">
                    <div class="card shadow">
                        <div class="table-responsive">
                            <div class="col-md-12 col-xs-12 shape">
                                <h3 th:if="${dataSemester[3] == 'PENDEK'}" class="mb-0" th:text="${dataSemester[2] + ' ( Semester ' + dataSemester[3] + ')'}">Semester<b> 1</b></h3>

                                <h3 th:if="${dataSemester[3] != 'PENDEK'}"  class="mb-0" th:text="${dataSemester[2] + ' ( Semester ' + (row.index + 1) + ')'}">Semester<b> 1</b></h3>
                            </div>
                            <div class="alert text-center alert-danger" role="alert" th:if="${dataSemester[4] == 'UNDONE'}">
                                EDOM belum diisi silahkan isi EDOM terlebih dahulu klik disini untuk mengisi <strong><a
                                    th:href="@{/report/edom (tahunAkademik = ${dataSemester[5]})}">Link EDOM</a></strong>
                            </div>
                            <table class="table align-items-center table-flush"  th:if="${dataSemester[4] == 'DONE'}">
                                <thead class="thead-light">
                                <tr>
                                    <th>Kode MK</th>
                                    <th>Nama Mata Kuliah</th>
                                    <th>SKS</th>
                                    <th>Nilai</th>
                                    <th>Bobot</th>
                                    <th>Mutu</th>
                                    <div th:if="${tahun != null}">
                                        <div th:if="${total < 2}">
                                            <th width="10%" class="text-center">Request SP</th>
                                        </div>
                                    </div>
                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data : ${transkriptTampil}">
                                    <td th:if="${dataSemester[0] == data[0]}" th:text="${data[1]}">AEM1101</td>
                                    <td th:if="${dataSemester[0] == data[0]}" th:text="${data[2]}">Dirasah Islamiah</td>
                                    <td th:if="${dataSemester[0] == data[0]}" th:text="${data[3]}"><b>3</b></td>
                                    <td th:if="${dataSemester[0] == data[0]}" th:text="${data[5]}"><button class="bd-primary"><b>B</b></button></td>
                                    <td th:if="${dataSemester[0] == data[0]}" th:text="${data[4]}"><button class="bd-danger"><b>3.00</b></button></td>
                                    <td th:if="${dataSemester[0] == data[0]}" th:text="${data[6]}"><b>9</b></td>
                                    <td th:if="${dataSemester[0] == data[0]}">
                                        <div th:if="${tahun != null}">
                                            <div th:if="${total < 2}">
                                                <div class="text-center" th:if="${data[5] == 'C+' || data[5] == 'C' || data[5] == 'D' || data[5] == 'E'}">

                                                    <input type="checkbox" class="select-check" name="checkBox" th:value="${data[9]}">

                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>

                <div th:if="${tahun != null}">
                    <div th:if="${total < 2}">
                        <div class="row">
                            <div class="col-md-12 text-center">
                                <button style="margin-bottom: 20px;" type="submit" class="mb-5 btn btn-success btn-sm"> Request Semester Pendek (Maks 2)</button>
                            </div>
                        </div>
                    </div>
                </div>

            </form>


        </div>
    </div>
</section>
</body>
</html>

<script type="text/javascript">

    function matkul(a) {
        var x = (a.value || a.options[a.selectedIndex].value);  //crossbrowser solution =)
        console.log(x);

        var row2  = document.getElementById("row2");

        if (x == "kosong"){
            row2.style.display = "none";
        }else {
            if ($('#jumlah').val() < 1){
                row2.style.display = "block";
            }else {
                row2.style.display = "none";
            }
        }

        };



    // function matkul(a) {
    //     var x = (a.value || a.options[a.selectedIndex].value);  //crossbrowser solution =)
    //     console.log(x);
    //
    //     const url = '/api/prasyarat?search='+x;
    //
    //     $.getJSON(url, function (data) {
    //         console.log(data.idUjian)
    //         console.log(data.matakuliah)
    //
    //         var button  = document.getElementById("saveButton");
    //         var row2  = document.getElementById("row2");
    //         var row3  = document.getElementById("row3");
    //         var empty  = document.getElementById("emptyButton");
    //         if (data.idUjian == "LULUS"){
    //             $('#prasyarat').val(data.matakuliah);
    //             $('#status').val(data.idUjian);
    //             if ($('#jumlah').val() < 1){
    //                 button.style.display = "block";
    //                 empty.style.display = "none";
    //                 row2.style.display = "block";
    //                 row3.style.display = "block";
    //             }else {
    //                 button.style.display = "block";
    //                 empty.style.display = "none";
    //                 row2.style.display = "none";
    //                 row3.style.display = "none";
    //             }
    //
    //         }else if (data.idUjian == "GAGAL"){
    //             $('#prasyarat').val(data.matakuliah);
    //             $('#status').val("Belum Mengambil Prasyarat");
    //             empty.style.display = "block";
    //             button.style.display = "none";
    //             row2.style.display = "none";
    //             row3.style.display = "none";
    //             $('#select-matkul2').prop('selectedIndex',0);
    //             $('#prasyarat2').val("");
    //             $('#status2').val("");
    //         }else {
    //                 $('#prasyarat').val("");
    //                 $('#status').val("");
    //                 empty.style.display = "block";
    //                 button.style.display = "none";
    //                 row2.style.display = "none";
    //                 row3.style.display = "none";
    //                 $('#select-matkul2').prop('selectedIndex',0);
    //                 $('#prasyarat2').val("");
    //                 $('#status2').val("");
    //         }
    //
    //     });
    // }

    // function matkul2(a) {
    //     var x = (a.value || a.options[a.selectedIndex].value);  //crossbrowser solution =)
    //     console.log(x);
    //
    //     const url = '/api/prasyarat?search='+x;
    //
    //     $.getJSON(url, function (data) {
    //
    //         var button  = document.getElementById("saveButton");
    //         var row2  = document.getElementById("row2");
    //         var empty  = document.getElementById("emptyButton");
    //         if (data.idUjian == "LULUS"){
    //             $('#prasyarat2').val(data.matakuliah);
    //             $('#status2').val(data.idUjian);
    //             button.style.display = "block";
    //             empty.style.display = "none";
    //             row2.style.display = "block";
    //             row3.style.display = "block";
    //
    //         }else if (data.idUjian == "GAGAL"){
    //             $('#prasyarat2').val(data.matakuliah);
    //             $('#status2').val("Belum Mengambil Prasyarat");
    //             empty.style.display = "block";
    //             button.style.display = "none";
    //             row2.style.display = "block";
    //             row3.style.display = "block";
    //         }else {
    //             $('#prasyarat2').val("");
    //             $('#status2').val("");
    //             button.style.display = "block";
    //             row2.style.display = "block";
    //             row3.style.display = "block";
    //             $('#select-matkul2').prop('selectedIndex',0);
    //             $('#prasyarat2').val("");
    //             $('#status2').val("");
    //         }
    //
    //     });
    // }

    if ($('#totalMatkul').val() < 1){
        var max_limit = 2; // Max Limit
    }else {
        max_limit = 1; // Max Limit
    }
    $(document).ready(function (){
        $(".select-check:input:checkbox").each(function (index){
            this.checked = (".select-check:input:checkbox" < max_limit);
        }).change(function (){
            if ($(".select-check:input:checkbox:checked").length > max_limit){
                this.checked = false;
            }
        });
    });


</script>